let BTool = {};

// 判空
BTool.isEmpty = function (obj) {
    return [null, undefined, '', 'null', 'undefined', "~"].indexOf(obj) !== -1;
};
BTool.isNotEmpty = function (obj) {
    return [null, undefined, '', 'null', 'undefined', "~"].indexOf(obj) === -1;
};

//校验非空
BTool.isEmptyAllType = function (v) {
    switch (typeof v) {
        case 'undefined':
            return true;
        case 'string':
            if (v.replace(/(^[ \t\n\r]*)|([ \t\n\r]*$)/g, '').length == 0) return true;
            break;
        case 'boolean':
            if (!v) return true;
            break;
        case 'number':
            if (0 === v || isNaN(v)) return true;
            break;
        case 'object':
            if (null === v || v.length === 0) return true;
            for (var i in v) {
                return false;
            }
            return true;
    }
    return false;
};
//获取自增编码
BTool.getAutoGrowCode = function (val) {
    let code = ''
    if (this.isEmpty(val)) {
        code = '01'
    } else {
        if (val.length <= 8) {
            code = '0' + (val.length + 1)
        } else {
            code = (val.length + 1)
        }
    }
    return code
}


export default BTool;